+ date
Wed Apr 19 07:58:45 UTC 2023
+ apt-get source --only-source mklibs=0.1.44.1
Reading package lists...
NOTICE: 'mklibs' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/installer-team/mklibs.git
Please use:
git clone https://salsa.debian.org/installer-team/mklibs.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 24.4 kB of source archives.
Get:1 http://repo.pureos.net/pureos byzantium/main mklibs 0.1.44.1 (dsc) [1777 B]
Get:2 http://repo.pureos.net/pureos byzantium/main mklibs 0.1.44.1 (tar) [22.6 kB]
dpkg-source: info: extracting mklibs in mklibs-0.1.44.1
dpkg-source: info: unpacking mklibs_0.1.44.1.tar.xz
Fetched 24.4 kB in 0s (49.3 kB/s)
W: Download is performed unsandboxed as root as file 'mklibs_0.1.44.1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source mklibs=0.1.44.1
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  dh-python libpython2-stdlib libpython2.7-minimal libpython2.7-stdlib python2
  python2-minimal python2.7 python2.7-minimal
0 upgraded, 8 newly installed, 0 to remove and 0 not upgraded.
Need to get 4073 kB of archives.
After this operation, 16.6 MB of additional disk space will be used.
Get:1 http://repo.pureos.net/pureos byzantium/main amd64 libpython2.7-minimal amd64 2.7.18-8 [396 kB]
Get:2 http://repo.pureos.net/pureos byzantium/main amd64 python2.7-minimal amd64 2.7.18-8 [1322 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main amd64 python2-minimal amd64 2.7.18-3 [34.2 kB]
Get:4 http://repo.pureos.net/pureos byzantium/main amd64 libpython2.7-stdlib amd64 2.7.18-8 [1865 kB]
Get:5 http://repo.pureos.net/pureos byzantium/main amd64 python2.7 amd64 2.7.18-8 [311 kB]
Get:6 http://repo.pureos.net/pureos byzantium/main amd64 libpython2-stdlib amd64 2.7.18-3 [21.2 kB]
Get:7 http://repo.pureos.net/pureos byzantium/main amd64 python2 amd64 2.7.18-3 [24.5 kB]
Get:8 http://repo.pureos.net/pureos byzantium/main amd64 dh-python all 4.20201102+nmu1 [99.4 kB]
Fetched 4073 kB in 0s (11.3 MB/s)
Selecting previously unselected package libpython2.7-minimal:amd64.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 102989 files and directories currently installed.)
Preparing to unpack .../0-libpython2.7-minimal_2.7.18-8_amd64.deb ...
Unpacking libpython2.7-minimal:amd64 (2.7.18-8) ...
Selecting previously unselected package python2.7-minimal.
Preparing to unpack .../1-python2.7-minimal_2.7.18-8_amd64.deb ...
Unpacking python2.7-minimal (2.7.18-8) ...
Selecting previously unselected package python2-minimal.
Preparing to unpack .../2-python2-minimal_2.7.18-3_amd64.deb ...
Unpacking python2-minimal (2.7.18-3) ...
Selecting previously unselected package libpython2.7-stdlib:amd64.
Preparing to unpack .../3-libpython2.7-stdlib_2.7.18-8_amd64.deb ...
Unpacking libpython2.7-stdlib:amd64 (2.7.18-8) ...
Selecting previously unselected package python2.7.
Preparing to unpack .../4-python2.7_2.7.18-8_amd64.deb ...
Unpacking python2.7 (2.7.18-8) ...
Selecting previously unselected package libpython2-stdlib:amd64.
Preparing to unpack .../5-libpython2-stdlib_2.7.18-3_amd64.deb ...
Unpacking libpython2-stdlib:amd64 (2.7.18-3) ...
Setting up libpython2.7-minimal:amd64 (2.7.18-8) ...
Setting up python2.7-minimal (2.7.18-8) ...
Setting up python2-minimal (2.7.18-3) ...
Selecting previously unselected package python2.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 103733 files and directories currently installed.)
Preparing to unpack .../python2_2.7.18-3_amd64.deb ...
Unpacking python2 (2.7.18-3) ...
Selecting previously unselected package dh-python.
Preparing to unpack .../dh-python_4.20201102+nmu1_all.deb ...
Unpacking dh-python (4.20201102+nmu1) ...
Setting up dh-python (4.20201102+nmu1) ...
Setting up libpython2.7-stdlib:amd64 (2.7.18-8) ...
Setting up python2.7 (2.7.18-8) ...
Setting up libpython2-stdlib:amd64 (2.7.18-3) ...
Setting up python2 (2.7.18-3) ...
Processing triggers for man-db (2.9.4-2) ...
Processing triggers for mailcap (3.69) ...
+ find . -maxdepth 1 -name mklibs* -type d
+ cd ./mklibs-0.1.44.1
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package mklibs
dpkg-buildpackage: info: source version 0.1.44.1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Matthias Klose <doko@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean --builddirectory=build-deb --with=autoreconf,python2
dh: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_auto_clean -O--builddirectory=build-deb
dh_auto_clean: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_autoreconf_clean -O--builddirectory=build-deb
   dh_clean -O--builddirectory=build-deb
dh_clean: warning: Compatibility levels before 10 are deprecated (level 9 in use)
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (native)'
dpkg-source: info: building mklibs in mklibs_0.1.44.1.tar.xz
dpkg-source: info: building mklibs in mklibs_0.1.44.1.dsc
 debian/rules build
dh build --builddirectory=build-deb --with=autoreconf,python2
dh: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_update_autotools_config -O--builddirectory=build-deb
   dh_autoreconf -O--builddirectory=build-deb
configure.ac:6: installing './config.guess'
configure.ac:6: installing './config.sub'
configure.ac:2: installing './install-sh'
configure.ac:2: installing './missing'
src/mklibs-readelf/Makefile.am: installing './depcomp'
   debian/rules override_dh_auto_configure
make[1]: Entering directory '/build/mklibs/mklibs-0.1.44.1'
dh_auto_configure -- --libdir=\${prefix}/lib
dh_auto_configure: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	cd build-deb && ../configure --build=x86_64-linux-gnu --prefix=/usr --includedir=\${prefix}/include --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=\${prefix}/lib/x86_64-linux-gnu --libexecdir=\${prefix}/lib/x86_64-linux-gnu --disable-maintainer-mode --disable-dependency-tracking --libdir=\${prefix}/lib
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking for g++... g++
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking whether make supports the include directive... yes (GNU style)
checking dependency style of g++... none
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating lib/Makefile
config.status: creating lib/mklibs/Makefile
config.status: creating lib/mklibs/utils/Makefile
config.status: creating src/Makefile
config.status: creating src/mklibs-readelf/Makefile
config.status: creating config.h
config.status: executing depfiles commands
make[1]: Leaving directory '/build/mklibs/mklibs-0.1.44.1'
   dh_auto_build -O--builddirectory=build-deb
dh_auto_build: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	cd build-deb && make -j1
make[1]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make  all-recursive
make[2]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
Making all in lib
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
Making all in mklibs
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
Making all in utils
make[5]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs/utils'
make[5]: Nothing to be done for 'all'.
make[5]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs/utils'
make[5]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[5]: Nothing to be done for 'all-am'.
make[5]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
make[4]: Nothing to be done for 'all-am'.
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
Making all in src
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
Making all in mklibs-readelf
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src/mklibs-readelf'
g++ -DHAVE_CONFIG_H -I. -I../../../src/mklibs-readelf -I../..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/mklibs/mklibs-0.1.44.1=. -fstack-protector-strong -Wformat -Werror=format-security -c -o elf.o ../../../src/mklibs-readelf/elf.cpp
In file included from ../../../src/mklibs-readelf/elf_data.hpp:24,
                 from ../../../src/mklibs-readelf/elf.cpp:21:
../../../src/mklibs-readelf/elf.hpp:52:56: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   52 |       const section &get_section(unsigned int i) const throw (std::out_of_range) { return *sections.at(i); };
      |                                                        ^~~~~
../../../src/mklibs-readelf/elf.hpp:62:47: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   62 |       static file *open(const char *filename) throw (std::bad_alloc, std::runtime_error);
      |                                               ^~~~~
../../../src/mklibs-readelf/elf.hpp:65:38: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   65 |       file(uint8_t *mem, size_t len) throw (std::bad_alloc) : mem(mem), len(len) { }
      |                                      ^~~~~
../../../src/mklibs-readelf/elf.hpp:68:52: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   68 |         static file *open_class(uint8_t *, size_t) throw (std::bad_alloc, std::runtime_error);
      |                                                    ^~~~~
../../../src/mklibs-readelf/elf.hpp:131:55: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  131 |         std::string get_string(uint32_t offset) const throw (std::bad_alloc)
      |                                                       ^~~~~
../../../src/mklibs-readelf/elf.hpp:266:39: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  266 |       std::string get_version() const throw (std::bad_alloc);
      |                                       ^~~~~
../../../src/mklibs-readelf/elf.hpp:267:44: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  267 |       std::string get_version_file() const throw (std::bad_alloc);
      |                                            ^~~~~
../../../src/mklibs-readelf/elf.hpp:269:44: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  269 |       std::string get_name_version() const throw (std::bad_alloc);
      |                                            ^~~~~
../../../src/mklibs-readelf/elf.hpp:308:29: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  308 |       version_requirement() throw (std::bad_alloc);
      |                             ^~~~~
In file included from ../../../src/mklibs-readelf/elf.cpp:21:
../../../src/mklibs-readelf/elf_data.hpp:97:42: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   97 |         file_data(uint8_t *, size_t len) throw (std::bad_alloc, std::runtime_error);
      |                                          ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:112:43: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  112 |         virtual void update(const file &) throw (std::bad_alloc);
      |                                           ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:136:41: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  136 |         section_real(Shdr *, uint8_t *) throw (std::bad_alloc);
      |                                         ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:138:35: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  138 |         void update(const file &) throw (std::bad_alloc);
      |                                   ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:150:41: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  150 |         section_real(Shdr *, uint8_t *) throw (std::bad_alloc);
      |                                         ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:152:35: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  152 |         void update(const file &) throw (std::bad_alloc);
      |                                   ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:164:41: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  164 |         section_real(Shdr *, uint8_t *) throw (std::bad_alloc);
      |                                         ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:166:35: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  166 |         void update(const file &) throw (std::bad_alloc);
      |                                   ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:178:41: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  178 |         section_real(Shdr *, uint8_t *) throw (std::bad_alloc);
      |                                         ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:180:35: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  180 |         void update(const file &) throw (std::bad_alloc);
      |                                   ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:192:41: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  192 |         section_real(Shdr *, uint8_t *) throw (std::bad_alloc);
      |                                         ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:223:42: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  223 |         segment_real (Phdr *, uint8_t *) throw (std::bad_alloc);
      |                                          ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:235:71: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  235 |         void update_string(const section_type<section_type_STRTAB> &) throw (std::bad_alloc);
      |                                                                       ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:247:71: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  247 |         void update_string(const section_type<section_type_STRTAB> &) throw (std::bad_alloc);
      |                                                                       ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:248:62: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  248 |         virtual void update_version (const file &, uint16_t) throw (std::bad_alloc);
      |                                                              ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:260:71: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  260 |         void update_string(const section_type<section_type_STRTAB> &) throw (std::bad_alloc);
      |                                                                       ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:272:71: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  272 |         void update_string(const section_type<section_type_STRTAB> &) throw (std::bad_alloc);
      |                                                                       ^~~~~
../../../src/mklibs-readelf/elf_data.hpp:283:71: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  283 |         void update_string(const section_type<section_type_STRTAB> &) throw (std::bad_alloc);
      |                                                                       ^~~~~
../../../src/mklibs-readelf/elf.cpp:39:41: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   39 | file *file::open (const char *filename) throw (std::bad_alloc, std::runtime_error)
      |                                         ^~~~~
../../../src/mklibs-readelf/elf.cpp:75:50: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   75 | file *file::open_class(uint8_t *mem, size_t len) throw (std::bad_alloc, std::runtime_error)
      |                                                  ^~~~~
../../../src/mklibs-readelf/elf.cpp:89:63: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   89 | file_data<_class, _data>::file_data(uint8_t *mem, size_t len) throw (std::bad_alloc, std::runtime_error)
      |                                                               ^~~~~
../../../src/mklibs-readelf/elf.cpp:193:60: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  193 | void section_data<_class, _data>::update(const file &file) throw (std::bad_alloc)
      |                                                            ^~~~~
../../../src/mklibs-readelf/elf.cpp:207:93: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  207 | section_real<_class, _data, section_type_DYNAMIC>::section_real(Shdr *header, uint8_t *mem) throw (std::bad_alloc)
      |                                                                                             ^~~~~
../../../src/mklibs-readelf/elf.cpp:224:82: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  224 | void section_real<_class, _data, section_type_DYNAMIC>::update(const file &file) throw (std::bad_alloc)
      |                                                                                  ^~~~~
../../../src/mklibs-readelf/elf.cpp:246:92: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  246 | section_real<_class, _data, section_type_DYNSYM>::section_real(Shdr *header, uint8_t *mem) throw (std::bad_alloc)
      |                                                                                            ^~~~~
../../../src/mklibs-readelf/elf.cpp:263:81: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  263 | void section_real<_class, _data, section_type_DYNSYM>::update(const file &file) throw (std::bad_alloc)
      |                                                                                 ^~~~~
../../../src/mklibs-readelf/elf.cpp:288:96: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  288 | section_real<_class, _data, section_type_GNU_VERDEF>::section_real(Shdr *header, uint8_t *mem) throw (std::bad_alloc)
      |                                                                                                ^~~~~
../../../src/mklibs-readelf/elf.cpp:310:85: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  310 | void section_real<_class, _data, section_type_GNU_VERDEF>::update(const file &file) throw (std::bad_alloc)
      |                                                                                     ^~~~~
../../../src/mklibs-readelf/elf.cpp:336:42: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  336 | section_real(Shdr *header, uint8_t *mem) throw (std::bad_alloc)
      |                                          ^~~~~
../../../src/mklibs-readelf/elf.cpp:358:86: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  358 | void section_real<_class, _data, section_type_GNU_VERNEED>::update(const file &file) throw (std::bad_alloc)
      |                                                                                      ^~~~~
../../../src/mklibs-readelf/elf.cpp:375:43: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  375 | section_real (Shdr *header, uint8_t *mem) throw (std::bad_alloc)
      |                                           ^~~~~
../../../src/mklibs-readelf/elf.cpp:402:93: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  402 | segment_real<_class, _data, segment_type_INTERP>::segment_real (Phdr *header, uint8_t *mem) throw (std::bad_alloc)
      |                                                                                             ^~~~~
../../../src/mklibs-readelf/elf.cpp:432:99: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  432 | void dynamic_data<_class, _data>::update_string(const section_type<section_type_STRTAB> &section) throw (std::bad_alloc)
      |                                                                                                   ^~~~~
../../../src/mklibs-readelf/elf.cpp:438:42: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  438 | std::string symbol::get_version () const throw (std::bad_alloc)
      |                                          ^~~~~
../../../src/mklibs-readelf/elf.cpp:448:47: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  448 | std::string symbol::get_version_file () const throw (std::bad_alloc)
      |                                               ^~~~~
../../../src/mklibs-readelf/elf.cpp:456:47: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  456 | std::string symbol::get_name_version () const throw (std::bad_alloc)
      |                                               ^~~~~
../../../src/mklibs-readelf/elf.cpp:481:98: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  481 | void symbol_data<_class, _data>::update_string(const section_type<section_type_STRTAB> &section) throw (std::bad_alloc)
      |                                                                                                  ^~~~~
../../../src/mklibs-readelf/elf.cpp:487:83: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  487 | void symbol_data<_class, _data>::update_version(const file &file, uint16_t index) throw (std::bad_alloc)
      |                                                                                   ^~~~~
../../../src/mklibs-readelf/elf.cpp:534:110: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  534 | void version_definition_data<_class, _data>::update_string(const section_type<section_type_STRTAB> &section) throw (std::bad_alloc)
      |                                                                                                              ^~~~~
../../../src/mklibs-readelf/elf.cpp:540:44: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  540 | version_requirement::version_requirement() throw (std::bad_alloc)
      |                                            ^~~~~
../../../src/mklibs-readelf/elf.cpp:564:65: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  564 | update_string(const section_type<section_type_STRTAB> &section) throw (std::bad_alloc)
      |                                                                 ^~~~~
../../../src/mklibs-readelf/elf.cpp:599:65: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  599 | update_string(const section_type<section_type_STRTAB> &section) throw (std::bad_alloc)
      |                                                                 ^~~~~
g++ -DHAVE_CONFIG_H -I. -I../../../src/mklibs-readelf -I../..   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/build/mklibs/mklibs-0.1.44.1=. -fstack-protector-strong -Wformat -Werror=format-security -c -o main.o ../../../src/mklibs-readelf/main.cpp
In file included from ../../../src/mklibs-readelf/main.cpp:11:
../../../src/mklibs-readelf/elf.hpp:52:56: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   52 |       const section &get_section(unsigned int i) const throw (std::out_of_range) { return *sections.at(i); };
      |                                                        ^~~~~
../../../src/mklibs-readelf/elf.hpp:62:47: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   62 |       static file *open(const char *filename) throw (std::bad_alloc, std::runtime_error);
      |                                               ^~~~~
../../../src/mklibs-readelf/elf.hpp:65:38: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   65 |       file(uint8_t *mem, size_t len) throw (std::bad_alloc) : mem(mem), len(len) { }
      |                                      ^~~~~
../../../src/mklibs-readelf/elf.hpp:68:52: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
   68 |         static file *open_class(uint8_t *, size_t) throw (std::bad_alloc, std::runtime_error);
      |                                                    ^~~~~
../../../src/mklibs-readelf/elf.hpp:131:55: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  131 |         std::string get_string(uint32_t offset) const throw (std::bad_alloc)
      |                                                       ^~~~~
../../../src/mklibs-readelf/elf.hpp:266:39: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  266 |       std::string get_version() const throw (std::bad_alloc);
      |                                       ^~~~~
../../../src/mklibs-readelf/elf.hpp:267:44: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  267 |       std::string get_version_file() const throw (std::bad_alloc);
      |                                            ^~~~~
../../../src/mklibs-readelf/elf.hpp:269:44: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  269 |       std::string get_name_version() const throw (std::bad_alloc);
      |                                            ^~~~~
../../../src/mklibs-readelf/elf.hpp:308:29: warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]
  308 |       version_requirement() throw (std::bad_alloc);
      |                             ^~~~~
g++  -g -O2 -ffile-prefix-map=/build/mklibs/mklibs-0.1.44.1=. -fstack-protector-strong -Wformat -Werror=format-security  -Wl,-z,relro -o mklibs-readelf elf.o main.o  
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src/mklibs-readelf'
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[4]: Nothing to be done for 'all-am'.
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make[2]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make[1]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
   dh_auto_test -O--builddirectory=build-deb
dh_auto_test: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	cd build-deb && make -j1 check VERBOSE=1
make[1]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
Making check in lib
make[2]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
Making check in mklibs
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
Making check in utils
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs/utils'
make[4]: Nothing to be done for 'check'.
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs/utils'
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[4]: Nothing to be done for 'check-am'.
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
make[3]: Nothing to be done for 'check-am'.
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
make[2]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
Making check in src
make[2]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
Making check in mklibs-readelf
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src/mklibs-readelf'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src/mklibs-readelf'
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[3]: Nothing to be done for 'check-am'.
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[2]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[2]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make[2]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make[1]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
 debian/rules binary
dh binary --builddirectory=build-deb --with=autoreconf,python2
dh: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_testroot -O--builddirectory=build-deb
   dh_prep -O--builddirectory=build-deb
   dh_auto_install -O--builddirectory=build-deb
dh_auto_install: warning: Compatibility levels before 10 are deprecated (level 9 in use)
	cd build-deb && make -j1 install DESTDIR=/build/mklibs/mklibs-0.1.44.1/debian/tmp AM_UPDATE_INFO_DIR=no
make[1]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
Making install in lib
make[2]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
Making install in mklibs
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
Making install in utils
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs/utils'
make[5]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs/utils'
make[5]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/lib/mklibs/python/mklibs/utils'
 /usr/bin/install -c -m 644 ../../../../lib/mklibs/utils/__init__.py ../../../../lib/mklibs/utils/logging.py ../../../../lib/mklibs/utils/main.py '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/lib/mklibs/python/mklibs/utils'
make[5]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs/utils'
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs/utils'
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[5]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[5]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/lib/mklibs/python/mklibs'
 /usr/bin/install -c -m 644 ../../../lib/mklibs/__init__.py '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/lib/mklibs/python/mklibs'
make[5]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib/mklibs'
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
make[4]: Nothing to be done for 'install-exec-am'.
make[4]: Nothing to be done for 'install-data-am'.
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
make[2]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/lib'
Making install in src
make[2]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
Making install in mklibs-readelf
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src/mklibs-readelf'
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src/mklibs-readelf'
 /usr/bin/mkdir -p '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/bin'
  /usr/bin/install -c mklibs-readelf '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/bin'
 /usr/bin/mkdir -p '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/share/man/man1'
 /usr/bin/install -c -m 644 ../../../src/mklibs-readelf/mklibs-readelf.1 '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/share/man/man1'
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src/mklibs-readelf'
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src/mklibs-readelf'
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[4]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
 /usr/bin/mkdir -p '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/bin'
 /usr/bin/install -c ../../src/mklibs ../../src/mklibs-copy '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/bin'
 /usr/bin/mkdir -p '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/share/man/man1'
 /usr/bin/install -c -m 644 ../../src/mklibs.1 ../../src/mklibs-copy.1 '/build/mklibs/mklibs-0.1.44.1/debian/tmp/usr/share/man/man1'
make[4]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[2]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb/src'
make[2]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make[3]: Entering directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make[3]: Nothing to be done for 'install-exec-am'.
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make[2]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
make[1]: Leaving directory '/build/mklibs/mklibs-0.1.44.1/build-deb'
   dh_install -O--builddirectory=build-deb
dh_install: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installdocs -O--builddirectory=build-deb
dh_installdocs: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installchangelogs -O--builddirectory=build-deb
   dh_installman -O--builddirectory=build-deb
dh_installman: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   debian/rules override_dh_python2
make[1]: Entering directory '/build/mklibs/mklibs-0.1.44.1'
dh_python2 /usr/lib/mklibs/python
make[1]: Leaving directory '/build/mklibs/mklibs-0.1.44.1'
   dh_installinit -O--builddirectory=build-deb
dh_installinit: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_perl -O--builddirectory=build-deb
   dh_link -O--builddirectory=build-deb
   dh_strip_nondeterminism -O--builddirectory=build-deb
   dh_compress -O--builddirectory=build-deb
dh_compress: warning: Compatibility levels before 10 are deprecated (level 9 in use)
dh_compress: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_fixperms -O--builddirectory=build-deb
   dh_missing -O--builddirectory=build-deb
dh_missing: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_strip -O--builddirectory=build-deb
dh_strip: warning: Compatibility levels before 10 are deprecated (level 9 in use)
dh_strip: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_makeshlibs -O--builddirectory=build-deb
dh_makeshlibs: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_shlibdeps -O--builddirectory=build-deb
dh_shlibdeps: warning: Compatibility levels before 10 are deprecated (level 9 in use)
dh_shlibdeps: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_installdeb -O--builddirectory=build-deb
dh_installdeb: warning: Compatibility levels before 10 are deprecated (level 9 in use)
   dh_gencontrol -O--builddirectory=build-deb
dpkg-gencontrol: warning: Depends field of package mklibs: substitution variable ${python:Depends} used, but is not defined
   dh_md5sums -O--builddirectory=build-deb
   dh_builddeb -O--builddirectory=build-deb
dpkg-deb: building package 'mklibs-copy' in '../mklibs-copy_0.1.44.1_amd64.deb'.
dpkg-deb: building package 'mklibs' in '../mklibs_0.1.44.1_all.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../mklibs_0.1.44.1_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload; Debian-native package (full source is included)
+ date
Wed Apr 19 07:59:13 UTC 2023
+ cd ..
+ ls -la
total 152
drwxr-xr-x 3 root root  4096 Apr 19 07:59 .
drwxr-xr-x 3 root root  4096 Apr 19 07:58 ..
-rw-r--r-- 1 root root 38710 Apr 19 07:59 buildlog.txt
drwxr-xr-x 7 root root  4096 Apr 19 07:59 mklibs-0.1.44.1
-rw-r--r-- 1 root root 43344 Apr 19 07:59 mklibs-copy_0.1.44.1_amd64.deb
-rw-r--r-- 1 root root   869 Apr 19 07:58 mklibs_0.1.44.1.dsc
-rw-r--r-- 1 root root 22588 Apr 19 07:58 mklibs_0.1.44.1.tar.xz
-rw-r--r-- 1 root root 14912 Apr 19 07:59 mklibs_0.1.44.1_all.deb
-rw-r--r-- 1 root root  6186 Apr 19 07:59 mklibs_0.1.44.1_amd64.buildinfo
-rw-r--r-- 1 root root  1984 Apr 19 07:59 mklibs_0.1.44.1_amd64.changes
+ find . -maxdepth 1 -type f
+ sha256sum ./buildlog.txt ./mklibs_0.1.44.1_amd64.changes ./mklibs_0.1.44.1.tar.xz ./mklibs_0.1.44.1_all.deb ./mklibs_0.1.44.1_amd64.buildinfo ./mklibs-copy_0.1.44.1_amd64.deb ./mklibs_0.1.44.1.dsc
0e69c5bb25aa0b9dd4239248d207350fb3e0b8c95c09aab641c7871b869f7a37  ./buildlog.txt
6cb8aa86881b1974ed6f0a00210e0baf3a60b1595e858a1333f7e8627643810b  ./mklibs_0.1.44.1_amd64.changes
6f428330c68b1edb74e38e24da1768215933ad11e2bccb42e6d4f777215f5505  ./mklibs_0.1.44.1.tar.xz
3a0328b7a589ac0b1f715b2c39fc3452894c2f5e9390c29d6b4d274e32ba9282  ./mklibs_0.1.44.1_all.deb
f5ca83923993d91efe9fa5f44749b12c39a2dc4246af3063969949024f9c8066  ./mklibs_0.1.44.1_amd64.buildinfo
72176d76590511c5e55c46bc4100849f7f9cae9e06f58bcc6211eea52975fe07  ./mklibs-copy_0.1.44.1_amd64.deb
5b4ce2c3df8243fd1efbc9303f45c9594739873e41618486b05818e8172fa1ee  ./mklibs_0.1.44.1.dsc
+ mkdir published
+ cd published
+ cd ../
+ ls mklibs-copy_0.1.44.1_amd64.deb mklibs_0.1.44.1_all.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/m/mklibs/mklibs-copy_0.1.44.1_amd64.deb
--2023-04-19 07:59:13--  http://repo.pureos.net/pureos/pool/main/m/mklibs/mklibs-copy_0.1.44.1_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 43332 (42K) [application/octet-stream]
Saving to: 'mklibs-copy_0.1.44.1_amd64.deb'

     0K .......... .......... .......... .......... ..        100%  727K=0.06s

2023-04-19 07:59:14 (727 KB/s) - 'mklibs-copy_0.1.44.1_amd64.deb' saved [43332/43332]

+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/m/mklibs/mklibs_0.1.44.1_all.deb
--2023-04-19 07:59:14--  http://repo.pureos.net/pureos/pool/main/m/mklibs/mklibs_0.1.44.1_all.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 14912 (15K) [application/octet-stream]
Saving to: 'mklibs_0.1.44.1_all.deb'

     0K .......... ....                                       100%  525K=0.03s

2023-04-19 07:59:14 (525 KB/s) - 'mklibs_0.1.44.1_all.deb' saved [14912/14912]

+ tee ../SHA256SUMS
+ find . -maxdepth 1 -type f
+ sha256sum ./mklibs_0.1.44.1_all.deb ./mklibs-copy_0.1.44.1_amd64.deb
3a0328b7a589ac0b1f715b2c39fc3452894c2f5e9390c29d6b4d274e32ba9282  ./mklibs_0.1.44.1_all.deb
382fef0747aa7e76499e26938f6b1b33233df710ce4debe434da5e86f5173656  ./mklibs-copy_0.1.44.1_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./mklibs_0.1.44.1_all.deb: OK
./mklibs-copy_0.1.44.1_amd64.deb: FAILED
sha256sum: WARNING: 1 computed checksum did NOT match
